const data = [
  {
  name: 'white 49.86%', 
  value: 10001
}, {
  name: 'black 45.40%',
  value: 9107
}, {
  name: 'draw 4.74%', 
  value: 950
}];

const svg = d3.select('svg'),
      width = svg.attr('width'),
      height = svg.attr('height');

const radius = 200;
const g = svg
	.append('g')
		.attr('transform', `translate(${width / 2}, ${height / 2})`);

const color = d3
	.scaleOrdinal(["#f4f0f5", "#0f0e0f", "#34d417", "#1341d6", "#0e1e2f"]);

const pie = d3
	.pie()
	.sort(null)
	.value(d => d.value);

const path = d3
	.arc()
	.outerRadius(100)
	.innerRadius(0);

const label = d3
	.arc()
	.outerRadius(radius)
	.innerRadius(radius);

const pies = g
	.selectAll('.arc')
	.data(pie(data))
	.enter()
	.append('g')
	.attr('class', 'arc');

console.log(path);
pies
  .append('path')
  .attr('d', path)
  .attr('fill', d => color(d.data.value));

pies.append('text')
  .text(d => d.data.name)
	.attr('transform', function(d) {
		return "translate(" + label.centroid(d) + ")";
	})
